org.richfaces.fragment.contextMenu

## Interface PopupMenu

- All Known Implementing Classes:
    AbstractPopupMenu, RichFacesContextMenu, RichFacesDropDownMenu

      public interface PopupMenu

  Author:
    Jiri Stefek

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `selectItem(ChoicePicker picker)` Selects the menu item according to the rules defined in the `picker` param.
    `void` | `selectItem(ChoicePicker picker, org.openqa.selenium.WebElement target)` Selects the menu item according to the rules defined in the `picker` param.
    `void` | `selectItem(int index)` Selects the menu item according to its index in the list of all menu items.
    `void` | `selectItem(int index, org.openqa.selenium.WebElement target)` Selects the menu item according to its index in the list of all menu items.
    `void` | `selectItem(String header)` Selects the menu item according to the exact match of its text representation with passed `header` param.
    `void` | `selectItem(String header, org.openqa.selenium.WebElement target)` Selects the menu item according to the exact match of its text representation with passed `header` param.

- - ### Method Detail

    - #### selectItem

          void selectItem(ChoicePicker picker)

      Selects the menu item according to the rules defined in the `picker` param.
      Parameters:
        `picker` - for defining the rules by which the item will be selected
      Throws:
        `IllegalArgumentException` - if there is no such element which satisfies the rules given by `picker`

    - #### selectItem

          void selectItem(String header)

      Selects the menu item according to the exact match of its text representation with passed `header` param.
      Parameters:
        `header` - text representation of the menu item to be selected
      Throws:
        `IllegalArgumentException` - if there is no such element with text representation matching the given `text`

    - #### selectItem

          void selectItem(int index)

      Selects the menu item according to its index in the list of all menu items. Items are indexed from 0. A top menu item (the one which is the closest to the root of the popup menu component) has index 0.
      Parameters:
        `index` - zero based index of the item to be selected
      Throws:
        `IllegalArgumentException` - if there is no such element with index `index`

    - #### selectItem

          void selectItem(ChoicePicker picker,
                        org.openqa.selenium.WebElement target)

      Selects the menu item according to the rules defined in the `picker` param.
      Parameters:
        `picker` - for defining the rules by which the item will be selected
        `target` - for defining the popup menu which will be invoked and from which the item will be selected
      Throws:
        `IllegalArgumentException` - if there is no such element which satisfies the rules given by `picker`

    - #### selectItem

          void selectItem(String header,
                        org.openqa.selenium.WebElement target)

      Selects the menu item according to the exact match of its text representation with passed `header` param.
      Parameters:
        `header` - text representation of the menu item to be selected
        `target` - for defining the popup menu which will be invoked and from which the item will be selected
      Throws:
        `IllegalArgumentException` - if there is no such element with text representation matching the given `text`

    - #### selectItem

          void selectItem(int index,
                        org.openqa.selenium.WebElement target)

      Selects the menu item according to its index in the list of all menu items. Items are indexed from 0. A top menu item (the one which is the closest to the root of the popup menu component) has index 0.
      Parameters:
        `index` - zero based index of the item to be selected
        `target` - for defining the popup menu which will be invoked and from which the item will be selected
      Throws:
        `IllegalArgumentException` - if there is no such element with index `index`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.